Wymagania sprzętowe i oprogramowanie

  Konfiguracja zalecana
(zapewnia efektywną pracę niezależnie od liczby dokumentów)
Konfiguracja minimalna
(zapewnia efektywną pracę na niewielkiej liczbie dokumentów)
Procesor Pentium IV lub szybszy Pentium II
System operacyjny
 


 
  • Windows 98 SE (brak dostępu do funkcji komunikacji elektronicznej z ZUS),
  • Windows ME (brak dostępu do funkcji komunikacji elektronicznej z ZUS)
  • Windows 2000 z SP 4 (brak dostępu do funkcji komunikacji elektronicznej z ZUS),
  • Windows XP z SP 3 (lub wyższy), (brak dostępu do funkcji komunikacji elektronicznej z ZUS),
  • Windows Server 2003 z SP 2 (lub wyższy),
  • Windows Vista z Service Pack 2,
  • Windows Server 2008 z SP 2 (lub wyższy),
  • Windows Server 2008_R2 z SP 1 (lub wyższy),
  • Windows Server 2012 (32 i 64 bit),
  • Windows 7 z SP1 (32 i 64 bit),
  • Windows 8 (32 i 64 bit),
  • Windows 8.1,
  • Windows 10.
  • Windows 98 SE (brak dostępu do funkcji komunikacji elektronicznej z ZUS),
  • Windows ME (brak dostępu do funkcji komunikacji elektronicznej z ZUS)
  • Windows 2000 z SP 4 (brak dostępu do funkcji komunikacji elektronicznej z ZUS),
  • Windows XP z SP 3 (lub wyższy), (brak dostępu do funkcji komunikacji elektronicznej z ZUS),
  • Windows Server 2003 z SP 2 (lub wyższy),
  • Windows Vista z Service Pack 2,
  • Windows Server 2008 z SP 2 (lub wyższy),
  • Windows Server 2008_R2 z SP 1 (lub wyższy),
  • Windows Server 2012 (32 i 64 bit),
  • Windows 7 z SP1 (32 i 64 bit),
  • Windows 8 (32 i 64 bit),
  • Windows 8.1,
  • Windows 10.
Pamięć RAM 1 GB lub więcej 512 MB
Przestrzeń na dysku 1 - 2 GB około 1 GB (zależy od konfiguracji systemu przed instalacją)
Karta graficzna karta graficzna SVGA pracująca w rozdzielczości 1024x768 i wyświetlająca 16 milionów kolorów (True Color) pracująca w rozdzielczości co najmniej 800x600 i wyświetlająca co najmniej 256 kolorów
Drukarka atramentowa lub laserowa drukująca z rozdzielczością przynajmniej 300 dpi atramentowa lub laserowa
Połączenie z internetem karta sieciowa z dostępem do szerokopasmowego Internetu modem lub karta sieciowa
Przeglądarka internetowa Internet Explorer min. 5.5 SP2 dla systemu Windows 2000 i starszych oraz 6.0 SP2 dla systemu Windows XP i nowszych. Internet Explorer min. 5.5 SP2 dla systemu Windows 2000 i starszych oraz 6.0 SP2 dla systemu Windows XP i nowszych.
Czytnik kart kryptograficznych wymagany nie wymagany
Oprogramowanie
  • pakiet WSE(3.) zapewniający implementację usług Web Services Enhancements
  • Komponenty dostępu do danych MDAC 2.71
  • Środowisko wytwórcze .NET Framework 2.0 (ewentualnie .NET 3.5 zawierający .NET 2.0)
  • Środowisko wytwórcze .NET Framework 4.0
  • Jeden z motorów baz danych:
  • MS Jet 4.0 z Service Pack 6 lub wyższym (motor bazy danych stosowany w MS Access),
  • MSDE 2000 z Service Pack 2 lub wyższym (motor bazy danych zgodny z SQL Server 2000), dla systemu Windows Server 2003 wymagany jest MSDE 2000 z Service Pack 3a lub wyższym,
  • SQL Server 7.0 z Service Pack 4 lub wyższym,
  • SQL Server 2000 z Service Pack 1 lub wyższym,
  • SQL Server 2005 lub SQL Server 2005 Express,
  • SQL Server 2008 lub SQL Server 2008 Express,
  • SQL Server 2012 lub SQL Server 2012 Express,
  • SQL Server 2014 lub SQL Server 2014 Express.

Dla wersji systemu operacyjnego nie wspieranych przez producenta może wystąpić problem z działaniem programu Płatnik.  

Wymagania systemowe programu dla komunikacji elektronicznej z ZUS

Komunikacja elektroniczna z ZUS wymaga jednego z niżej wymienionych systemów:

 

  • Windows Server 2003 z Service Pack 2 (lub wyższy),
  • Windows Vista z Service Pack 2,
  • Windows Server 2008 z Service Pack 2 (lub wyższy),
  • Windows Server 2008 R2 z Service Pack 1 (lub wyższy),
  • Windows Server 2012 (32 i 64 bit),
  • Windows 7 z Service Pack 1,
  • Windows 8,
  • Windows 8.1,
  • Windows 10,

z zainstalowanym pakietem Web Services Enhancements (WSE) 3.0.

We wszystkich systemach na których będzie działała elektroniczna komunikacja z ZUS, należy zainstalować najwyższą dostępną na stronie producenta systemu operacyjnego wersję przeglądarki Internet Explorer. Dla wersji systemu operacyjnego nie wspieranych przez producenta może wystąpić problem z działaniem programu Płatnik.

W systemie Windows 2003 należy zainstalować pakiet udostępniany na stronie https://support.microsoft.com/pl-pl/kb/948963. Jest on niezbędny w celu uruchomienia obsługi list TSL oraz certyfikatów wydanych zgodnie z Rozporządzeniem Parlamentu Europejskiego i Rady (UE) nr 910/2014 z dnia 23 lipca 2014 r. w sprawie identyfikacji elektronicznej i usług zaufania w odniesieniu do transakcji elektronicznych na rynku wewnętrznym oraz uchylające dyrektywę 1999/93/WE.

Przed pobraniem należy wskazać właściwą wersję systemu operacyjnego oraz wersję językową pakietu.

Pakiet aktualizuje mechanizmy szyfrowania AES AES256 SHA TLS_RSA_WITH_AES_256_CBC_SHA i LS_RSA_WITH_AES_128_CBC_SHA AES128-SHA i jest niezbędny do zestawienia bezpiecznych połączeń SSL/TLS.

UWAGA - Kwalifikowane Urzędy Certyfikacji oraz dostawcy oprogramowania do obsługi kart definiują własne wymagania systemowe dla oprogramowania obsługującego certyfikaty kwalifikowane, które mogą powodować dalsze ograniczenia.

Instalacja oprogramowania

Pełna wersja instalatora programu Płatnik zawiera następujące składniki:

  • Pliki programu Płatnik,
  • Microsoft Data Access Components (MDAC) 2.8 SP1 w polskiej wersji językowej,
  • Przy wyborze rodzaju bazy danych MS Access instalowany jest aparat bazy danych Microsoft Jet 4.0 Service Pack 8 w polskiej wersji językowej,
  • Przy wyborze bazy danych MS SQL Server instalowany jest moto bazy danych Microsoft SQL Server 2005 Express Edition z Service Pack 3; w tym przypadku wymagany jest jeden z systemów operacyjnych: Windows 2000 z Service Pack 4, Windows XP z Service Pack 2, Windows Server 2003 z Service Pack 1, Windows Vista lub Windows 2008. Dla systemów Windows XP x64 i Windows Server 2003 x64 wymagane jest, aby przed instalacją serwera SQL zainstalowany był Microsoft .NET Framework 2.0 x64,
  • MSXML 4.0 Service Pack 2 (Microsoft XML Core Services) - poza Windows 95.

Po instalacji pakietów aktualizacyjnych nr 103 i 104 można odinstalować MSXML 4.0 SP2 bez szkody dla działania programu Płatnik.

Ponadto podczas instalacji programu Płatnik mogą być instalowane:

  • Oprogramowanie .NETFramework w wersji odpowiedniej dla systemu operacyjnego
    • Windows XP - konieczna jest instalacja pakietu .NET 3.5 SP1
    • Windows 2000 - konieczna jest instalacja pakietu .NET 2.0 SP2
  • W systemie Windows 2000, przed zainstalowaniem tego pakietu trzeba zainstalować pakiet Aktualizacji zabezpieczeń dla systemu Windows 2000 - KB835732 (plik Windows2000-KB835732-x86-PLK.EXE - dla polskiej wersji językowej systemu). Można go pobrać tutaj
  • Windows Installer 2.0 Redistributable - dla Windows 98, ME, NT4, 2000,
  • Microsoft Win32 Smart Card Base Components - dla Windows 95, 98, ME, NT4.

Program instalacyjny programu Płatnik podejmuje próbę zainstalowania wszystkich komponentów niezbędnych do poprawnej pracy programu. Istnieją jednak konfiguracje, na których może to być niemożliwe.

W systemach Windows NT, 2000, XP, Server 2003, Vista, Server 2008, Windows 7 oraz Windows 8 przy instalacji Płatnika wymagane są prawa administratora.